<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>CombinedConfigurationBuilder (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CombinedConfigurationBuilder (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CombinedConfigurationBuilder.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder.combined"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilderProvider.html" title="class in org.apache.commons.configuration2.builder.combined"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" target="_top">Frames</a></li>
<li><a href="CombinedConfigurationBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.builder.combined</div>
<h2 title="Class CombinedConfigurationBuilder" class="title">Class CombinedConfigurationBuilder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">org.apache.commons.configuration2.builder.BasicConfigurationBuilder</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a>&gt;</li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.builder.combined.CombinedConfigurationBuilder</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a>&gt;, <a href="../../../../../../org/apache/commons/configuration2/event/EventSource.html" title="interface in org.apache.commons.configuration2.event">EventSource</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ReloadingCombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">ReloadingCombinedConfigurationBuilder</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">CombinedConfigurationBuilder</span>
extends <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">BasicConfigurationBuilder</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a>&gt;</pre>
<div class="block"><p>
 A specialized <code>ConfigurationBuilder</code> implementation that creates a
 <a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2"><code>CombinedConfiguration</code></a> from multiple configuration sources defined by
 an XML-based <em>configuration definition file</em>.
 </p>
 <p>
 This class provides an easy and flexible means for loading multiple
 configuration sources and combining the results into a single configuration
 object. The sources to be loaded are defined in an XML document that can
 contain certain tags representing the different supported configuration
 classes. If such a tag is found, a corresponding <code>ConfigurationBuilder</code>
 class is instantiated and initialized using the classes of the
 <code>beanutils</code> package (namely
 <a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html" title="class in org.apache.commons.configuration2.beanutils"><code>XMLBeanDeclaration</code></a> will be used to extract the configuration's
 initialization parameters, which allows for complex initialization
 scenarios).
 </p>
 <p>
 It is also possible to add custom tags to the configuration definition file.
 For this purpose an implementation of
 <a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilderProvider.html" title="class in org.apache.commons.configuration2.builder.combined"><code>CombinedConfigurationBuilderProvider</code></a> has to be created which is
 responsible for the creation of a <code>ConfigurationBuilder</code> associated
 with the custom tag. An instance of this class has to be registered at the
 <a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder.combined"><code>CombinedBuilderParametersImpl</code></a> object which is used to initialize this
 <code>CombinedConfigurationBuilder</code>. This provider will then be called when
 the corresponding custom tag is detected. For many default configuration
 classes providers are already registered.
 </p>
 <p>
 The configuration definition file has the following basic structure:
 </p>

 <pre>
 &lt;configuration systemProperties="properties file name"&gt;
   &lt;header&gt;
     &lt;!-- Optional meta information about the combined configuration --&gt;
   &lt;/header&gt;
   &lt;override&gt;
     &lt;!-- Declarations for override configurations --&gt;
   &lt;/override&gt;
   &lt;additional&gt;
     &lt;!-- Declarations for union configurations --&gt;
   &lt;/additional&gt;
 &lt;/configuration&gt;
 </pre>

 <p>
 The name of the root element (here <code>configuration</code>) is arbitrary. The
 optional <code>systemProperties</code> attribute identifies the path to a property
 file containing properties that should be added to the system properties. If
 specified on the root element, the system properties are set before the rest
 of the configuration is processed.
 </p>
 <p>
 There are two sections (both of them are optional) for declaring
 <em>override</em> and <em>additional</em> configurations. Configurations in
 the former section are evaluated in the order of their declaration, and
 properties of configurations declared earlier hide those of configurations
 declared later. Configurations in the latter section are combined to a union
 configuration, i.e. all of their properties are added to a large hierarchical
 configuration. Configuration declarations that occur as direct children of
 the root element are treated as override declarations.
 </p>
 <p>
 Each configuration declaration consists of a tag whose name is associated
 with a <code>CombinedConfigurationBuilderProvider</code>. This can be one of the
 predefined tags like <code>properties</code>, or <code>xml</code>, or a custom tag, for
 which a configuration builder provider was registered (as described above).
 Attributes and sub elements with specific initialization parameters can be
 added. There are some reserved attributes with a special meaning that can be
 used in every configuration declaration:
 </p>
 <table border="1">
 <caption>Standard attributes for configuration declarations</caption>
 <tr>
 <th>Attribute</th>
 <th>Meaning</th>
 </tr>
 <tr>
 <td valign="top"><code>config-name</code></td>
 <td>Allows specifying a name for this configuration. This name can be used to
 obtain a reference to the configuration from the resulting combined
 configuration (see below). It can also be passed to the
 <a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#getNamedBuilder-java.lang.String-"><code>getNamedBuilder(String)</code></a> method.</td>
 </tr>
 <tr>
 <td valign="top"><code>config-at</code></td>
 <td>With this attribute an optional prefix can be specified for the
 properties of the corresponding configuration.</td>
 </tr>
 <tr>
 <td valign="top"><code>config-optional</code></td>
 <td>Declares a configuration source as optional. This means that errors that
 occur when creating the configuration are ignored.</td>
 </tr>
 <tr>
 <td valign="top"><code>config-reload</code></td>
 <td>Many configuration sources support a reloading mechanism. For those
 sources it is possible to enable reloading by providing this attribute with a
 value of <strong>true</strong>.</td>
 </tr>
 </table>
 <p>
 The optional <em>header</em> section can contain some meta data about the
 created configuration itself. For instance, it is possible to set further
 properties of the <code>NodeCombiner</code> objects used for constructing the
 resulting configuration.
 </p>
 <p>
 The default configuration object returned by this builder is an instance of
 the <a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2"><code>CombinedConfiguration</code></a> class. This allows for convenient access to
 the configuration objects maintained by the combined configuration (e.g. for
 updates of single configuration objects). It has also the advantage that the
 properties stored in all declared configuration objects are collected and
 transformed into a single hierarchical structure, which can be accessed using
 different expression engines. The actual <code>CombinedConfiguration</code>
 implementation can be overridden by specifying the class in the
 <em>config-class</em> attribute of the result element.
 </p>
 <p>
 A custom EntityResolver can be used for all XMLConfigurations by adding
 </p>

 <pre>
 &lt;entity-resolver config-class="EntityResolver fully qualified class name"&gt;
 </pre>

 <p>
 A specific CatalogResolver can be specified for all XMLConfiguration sources
 by adding
 </p>
 <pre>
 &lt;entity-resolver catalogFiles="comma separated list of catalog files"&gt;
 </pre>

 <p>
 Additional ConfigurationProviders can be added by configuring them in the
 <em>header</em> section.
 </p>

 <pre>
 &lt;providers&gt;
   &lt;provider config-tag="tag name" config-class="provider fully qualified class name"/&gt;
 &lt;/providers&gt;
 </pre>

 <p>
 Additional variable resolvers can be added by configuring them in the
 <em>header</em> section.
 </p>

 <pre>
 &lt;lookups&gt;
   &lt;lookup config-prefix="prefix" config-class="StrLookup fully qualified class name"/&gt;
 &lt;/lookups&gt;
 </pre>

 <p>
 All declared override configurations are directly added to the resulting
 combined configuration. If they are given names (using the
 <code>config-name</code> attribute), they can directly be accessed using the
 <code>getConfiguration(String)</code> method of <code>CombinedConfiguration</code>. The
 additional configurations are altogether added to another combined
 configuration, which uses a union combiner. Then this union configuration is
 added to the resulting combined configuration under the name defined by the
 <code>ADDITIONAL_NAME</code> constant. The <a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#getNamedBuilder-java.lang.String-"><code>getNamedBuilder(String)</code></a> method
 can be used to access the <code>ConfigurationBuilder</code> objects for all
 configuration sources which have been assigned a name; care has to be taken
 that these names are unique.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.3</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: CombinedConfigurationBuilder.java 1790899 2017-04-10 21:56:46Z ggregory $</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a
         href="http://commons.apache.org/configuration/team-list.html">Commons
         Configuration team</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#ADDITIONAL_NAME">ADDITIONAL_NAME</a></span></code>
<div class="block">Constant for the name of the additional configuration.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#CombinedConfigurationBuilder--">CombinedConfigurationBuilder</a></span>()</code>
<div class="block">Creates a new instance of <code>CombinedConfigurationBuilder</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#CombinedConfigurationBuilder-java.util.Map-">CombinedConfigurationBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</code>
<div class="block">Creates a new instance of <code>CombinedConfigurationBuilder</code> and sets
 the specified initialization parameters.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#CombinedConfigurationBuilder-java.util.Map-boolean-">CombinedConfigurationBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params,
                            boolean&nbsp;allowFailOnInit)</code>
<div class="block">Creates a new instance of <code>CombinedConfigurationBuilder</code> and sets
 the specified initialization parameters and the <em>allowFailOnInit</em> flag.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#builderNames--">builderNames</a></span>()</code>
<div class="block">
 Returns a set with the names of all child configuration builders.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#configure-org.apache.commons.configuration2.builder.BuilderParameters...-">configure</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>...&nbsp;params)</code>
<div class="block">Appends the content of the specified <code>BuilderParameters</code> objects to
 the current initialization parameters.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#configureEntityResolver-org.apache.commons.configuration2.HierarchicalConfiguration-org.apache.commons.configuration2.builder.XMLBuilderParametersImpl-">configureEntityResolver</a></span>(<a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;config,
                       <a href="../../../../../../org/apache/commons/configuration2/builder/XMLBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">XMLBuilderParametersImpl</a>&nbsp;xmlParams)</code>
<div class="block">Creates and initializes a default <code>EntityResolver</code> if the
 definition configuration contains a corresponding declaration.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#createAdditionalsConfiguration-org.apache.commons.configuration2.CombinedConfiguration-">createAdditionalsConfiguration</a></span>(<a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a>&nbsp;resultConfig)</code>
<div class="block">Creates the <code>CombinedConfiguration</code> for the configuration
 sources in the <code>&lt;additional&gt;</code> section.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#createResultDeclaration-java.util.Map-">createResultDeclaration</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</code>
<div class="block">Creates a new <code>BeanDeclaration</code> which is used for creating new
 result objects dynamically.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#createXMLDefinitionBuilder-org.apache.commons.configuration2.builder.BuilderParameters-">createXMLDefinitionBuilder</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&nbsp;builderParams)</code>
<div class="block">Creates a default builder for the definition configuration and
 initializes it with a parameters object.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#getChildBuilders--">getChildBuilders</a></span>()</code>
<div class="block">Returns a collection with the builders for all child configuration
 sources.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#getDefinitionBuilder--">getDefinitionBuilder</a></span>()</code>
<div class="block">Returns the <code>ConfigurationBuilder</code> which creates the definition
 configuration.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#getDefinitionConfiguration--">getDefinitionConfiguration</a></span>()</code>
<div class="block">Returns the configuration containing the definition of the combined
 configuration to be created.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#getNamedBuilder-java.lang.String-">getNamedBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">
 Returns the configuration builder with the given name.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#initChildBuilderParameters-org.apache.commons.configuration2.builder.BuilderParameters-">initChildBuilderParameters</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&nbsp;params)</code>
<div class="block">Initializes a parameters object for a child builder.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#initFileSystem-org.apache.commons.configuration2.HierarchicalConfiguration-">initFileSystem</a></span>(<a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;config)</code>
<div class="block">Creates and initializes a default <code>FileSystem</code> if the definition
 configuration contains a corresponding declaration.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#initResultInstance-org.apache.commons.configuration2.CombinedConfiguration-">initResultInstance</a></span>(<a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a>&nbsp;result)</code>
<div class="block">Initializes a newly created result object.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#initSystemProperties-org.apache.commons.configuration2.HierarchicalConfiguration-java.lang.String-">initSystemProperties</a></span>(<a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;config,
                    <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;basePath)</code>
<div class="block">Handles a file with system properties that may be defined in the
 definition configuration.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationBuilderProvider.html" title="interface in org.apache.commons.configuration2.builder.combined">ConfigurationBuilderProvider</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#providerForTag-java.lang.String-">providerForTag</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tagName)</code>
<div class="block">Returns the <code>ConfigurationBuilderProvider</code> for the given tag.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#registerConfiguredLookups-org.apache.commons.configuration2.HierarchicalConfiguration-org.apache.commons.configuration2.Configuration-">registerConfiguredLookups</a></span>(<a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;defConfig,
                         <a href="../../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&nbsp;resultConfig)</code>
<div class="block">Processes custom <a href="../../../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol"><code>Lookup</code></a> objects that might be declared in the
 definition configuration.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#resetParameters--">resetParameters</a></span>()</code>
<div class="block">Removes all initialization parameters of this builder.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#setupDefinitionBuilder-java.util.Map-">setupDefinitionBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</code>
<div class="block">Obtains the <code>ConfigurationBuilder</code> object which provides access to
 the configuration containing the definition of the combined configuration
 to create.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.builder.BasicConfigurationBuilder">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.builder.<a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">BasicConfigurationBuilder</a></h3>
<code><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">addEventListener</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#addParameters-java.util.Map-">addParameters</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#connectToReloadingController-org.apache.commons.configuration2.reloading.ReloadingController-">connectToReloadingController</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#copyEventListeners-org.apache.commons.configuration2.builder.BasicConfigurationBuilder-">copyEventListeners</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#copyEventListeners-org.apache.commons.configuration2.builder.BasicConfigurationBuilder-org.apache.commons.configuration2.event.EventListenerList-">copyEventListeners</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#createResult--">createResult</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#createResultInstance--">createResultInstance</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#fetchBeanHelper--">fetchBeanHelper</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#fireBuilderEvent-org.apache.commons.configuration2.builder.ConfigurationBuilderEvent-">fireBuilderEvent</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#getConfiguration--">getConfiguration</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#getParameters--">getParameters</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#getResultClass--">getResultClass</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#getResultDeclaration--">getResultDeclaration</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#installEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">installEventListener</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#isAllowFailOnInit--">isAllowFailOnInit</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">removeEventListener</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#reset--">reset</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#resetResult--">resetResult</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#setParameters-java.util.Map-">setParameters</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="ADDITIONAL_NAME">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ADDITIONAL_NAME</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ADDITIONAL_NAME</pre>
<div class="block">Constant for the name of the additional configuration. If the
 configuration definition file contains an <code>additional</code>
 section, a special union configuration is created and added under this
 name to the resulting combined configuration.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CombinedConfigurationBuilder--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CombinedConfigurationBuilder</h4>
<pre>public&nbsp;CombinedConfigurationBuilder()</pre>
<div class="block">Creates a new instance of <code>CombinedConfigurationBuilder</code>. No parameters
 are set.</div>
</li>
</ul>
<a name="CombinedConfigurationBuilder-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CombinedConfigurationBuilder</h4>
<pre>public&nbsp;CombinedConfigurationBuilder(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</pre>
<div class="block">Creates a new instance of <code>CombinedConfigurationBuilder</code> and sets
 the specified initialization parameters.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - a map with initialization parameters</dd>
</dl>
</li>
</ul>
<a name="CombinedConfigurationBuilder-java.util.Map-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CombinedConfigurationBuilder</h4>
<pre>public&nbsp;CombinedConfigurationBuilder(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params,
                                    boolean&nbsp;allowFailOnInit)</pre>
<div class="block">Creates a new instance of <code>CombinedConfigurationBuilder</code> and sets
 the specified initialization parameters and the <em>allowFailOnInit</em> flag.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - a map with initialization parameters</dd>
<dd><code>allowFailOnInit</code> - the <em>allowFailOnInit</em> flag</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDefinitionBuilder--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefinitionBuilder</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&gt;&nbsp;getDefinitionBuilder()
                                                                                  throws <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Returns the <code>ConfigurationBuilder</code> which creates the definition
 configuration.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the builder for the definition configuration</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
<a name="configure-org.apache.commons.configuration2.builder.BuilderParameters...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configure</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a>&nbsp;configure(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>...&nbsp;params)</pre>
<div class="block">Appends the content of the specified <code>BuilderParameters</code> objects to
 the current initialization parameters. Calling this method multiple times
 will create a union of the parameters provided. This method is overridden to adapt the return type.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#configure-org.apache.commons.configuration2.builder.BuilderParameters...-">configure</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">BasicConfigurationBuilder</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - an arbitrary number of objects with builder parameters</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this builder for method chaining</dd>
</dl>
</li>
</ul>
<a name="getNamedBuilder-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNamedBuilder</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&gt;&nbsp;getNamedBuilder(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)
                                                              throws <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block"><p>
 Returns the configuration builder with the given name. With this method a
 builder of a child configuration which was given a name in the
 configuration definition file can be accessed directly.
 </p>
 <p>
 <strong>Important note:</strong> This method only returns a meaningful
 result after the result configuration has been created by calling
 <code>getConfiguration()</code>. If called before, always an exception is
 thrown.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the builder in question</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the child configuration builder with this name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if information about named builders is not
         yet available or no builder with this name exists</dd>
</dl>
</li>
</ul>
<a name="builderNames--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>builderNames</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;builderNames()</pre>
<div class="block"><p>
 Returns a set with the names of all child configuration builders. A tag
 defining a configuration source in the configuration definition file can
 have the <code>config-name</code> attribute. If this attribute is present, the
 corresponding builder is assigned this name and can be directly accessed
 through the <a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#getNamedBuilder-java.lang.String-"><code>getNamedBuilder(String)</code></a> method. This method returns
 a collection with all available builder names.
 </p>
 <p>
 <strong>Important note:</strong> This method only returns a meaningful
 result after the result configuration has been created by calling
 <code>getConfiguration()</code>. If called before, always an empty set is
 returned.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a set with the names of all builders</dd>
</dl>
</li>
</ul>
<a name="resetParameters--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resetParameters</h4>
<pre>public&nbsp;void&nbsp;resetParameters()</pre>
<div class="block">Removes all initialization parameters of this builder. This method can be
 called if this builder is to be reused for creating result objects with a
 different configuration. This implementation resets some specific internal state of
 this builder.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#resetParameters--">resetParameters</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">BasicConfigurationBuilder</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="setupDefinitionBuilder-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setupDefinitionBuilder</h4>
<pre>protected&nbsp;<a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&gt;&nbsp;setupDefinitionBuilder(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)
                                                                                       throws <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Obtains the <code>ConfigurationBuilder</code> object which provides access to
 the configuration containing the definition of the combined configuration
 to create. If a definition builder is defined in the parameters, it is
 used. Otherwise, we check whether the combined builder parameters object
 contains a parameters object for the definition builder. If this is the
 case, a builder for an <code>XMLConfiguration</code> is created and configured
 with this object. As a last resort, it is looked for a
 <a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder"><code>FileBasedBuilderParametersImpl</code></a> object in the properties. If
 found, also a XML configuration builder is created which loads this file.
 Note: This method is called from a synchronized block.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - the current parameters for this builder</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the builder for the definition configuration</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
<a name="createXMLDefinitionBuilder-org.apache.commons.configuration2.builder.BuilderParameters-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createXMLDefinitionBuilder</h4>
<pre>protected&nbsp;<a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&gt;&nbsp;createXMLDefinitionBuilder(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&nbsp;builderParams)</pre>
<div class="block">Creates a default builder for the definition configuration and
 initializes it with a parameters object. This method is called if no
 definition builder is defined in this builder's parameters. This
 implementation creates a default file-based builder which produces an
 <code>XMLConfiguration</code>; it expects a corresponding file specification.
 Note: This method is called in a synchronized block.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>builderParams</code> - the parameters object for the builder</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the standard builder for the definition configuration</dd>
</dl>
</li>
</ul>
<a name="getDefinitionConfiguration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefinitionConfiguration</h4>
<pre>protected&nbsp;<a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;getDefinitionConfiguration()
                                                           throws <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Returns the configuration containing the definition of the combined
 configuration to be created. This method only returns a defined result
 during construction of the result configuration. The definition
 configuration is obtained from the definition builder at first access and
 then stored temporarily to ensure that during result construction always
 the same configuration instance is used. (Otherwise, it would be possible
 that the definition builder returns a different instance when queried
 multiple times.)</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the definition configuration</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
<a name="getChildBuilders--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildBuilders</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&gt;&gt;&nbsp;getChildBuilders()</pre>
<div class="block">Returns a collection with the builders for all child configuration
 sources. This method can be used by derived classes providing additional
 functionality on top of the declared configuration sources. It only
 returns a defined value during construction of the result configuration
 instance.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a collection with the builders for child configuration sources</dd>
</dl>
</li>
</ul>
<a name="createResultDeclaration-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createResultDeclaration</h4>
<pre>protected&nbsp;<a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a>&nbsp;createResultDeclaration(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)
                                           throws <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Creates a new <code>BeanDeclaration</code> which is used for creating new
 result objects dynamically. This implementation creates a specialized
 <code>BeanDeclaration</code> object that is initialized from the given map of
 initialization parameters. The <code>BeanDeclaration</code> must be
 initialized with the result class of this builder, otherwise exceptions
 will be thrown when the result object is created. Note: This method is
 invoked in a synchronized block. This implementation evaluates the <code>result</code> property
 of the definition configuration. It creates a combined bean declaration
 with both the properties specified in the definition file and the
 properties defined as initialization parameters.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#createResultDeclaration-java.util.Map-">createResultDeclaration</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">BasicConfigurationBuilder</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - a snapshot of the current initialization parameters</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>BeanDeclaration</code> for creating result objects</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
<a name="initResultInstance-org.apache.commons.configuration2.CombinedConfiguration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initResultInstance</h4>
<pre>protected&nbsp;void&nbsp;initResultInstance(<a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a>&nbsp;result)
                           throws <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Initializes a newly created result object. This is the second step of the
 process of producing a result object for this builder. This
 implementation uses the <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanHelper.html" title="class in org.apache.commons.configuration2.beanutils"><code>BeanHelper</code></a> class to initialize the
 object's property based on the <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils"><code>BeanDeclaration</code></a> returned by
 <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#getResultDeclaration--"><code>BasicConfigurationBuilder.getResultDeclaration()</code></a>. Note: This method is invoked in a
 synchronized block. This is required because internal state is accessed.
 Sub classes must not call this method without proper synchronization. This implementation processes the definition configuration
 in order to
 <ul>
 <li>initialize the resulting <code>CombinedConfiguration</code></li>
 <li>determine the builders for all configuration sources</li>
 <li>populate the resulting <code>CombinedConfiguration</code></li>
 </ul></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#initResultInstance-T-">initResultInstance</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">BasicConfigurationBuilder</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>result</code> - the object to be initialized</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
<a name="createAdditionalsConfiguration-org.apache.commons.configuration2.CombinedConfiguration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createAdditionalsConfiguration</h4>
<pre>protected&nbsp;<a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a>&nbsp;createAdditionalsConfiguration(<a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a>&nbsp;resultConfig)</pre>
<div class="block">Creates the <code>CombinedConfiguration</code> for the configuration
 sources in the <code>&lt;additional&gt;</code> section. This method is
 called when the builder constructs the final configuration. It creates a
 new <code>CombinedConfiguration</code> and initializes some properties
 from the result configuration.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>resultConfig</code> - the result configuration (this is the configuration
        that will be returned by the builder)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>CombinedConfiguration</code> for the additional
         configuration sources</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.7</dd>
</dl>
</li>
</ul>
<a name="registerConfiguredLookups-org.apache.commons.configuration2.HierarchicalConfiguration-org.apache.commons.configuration2.Configuration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>registerConfiguredLookups</h4>
<pre>protected&nbsp;void&nbsp;registerConfiguredLookups(<a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;defConfig,
                                         <a href="../../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&nbsp;resultConfig)
                                  throws <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Processes custom <a href="../../../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol"><code>Lookup</code></a> objects that might be declared in the
 definition configuration. Each <code>Lookup</code> object is registered at the
 definition configuration and at the result configuration. It is also
 added to all child configurations added to the resulting combined
 configuration.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>defConfig</code> - the definition configuration</dd>
<dd><code>resultConfig</code> - the resulting configuration</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
<a name="initFileSystem-org.apache.commons.configuration2.HierarchicalConfiguration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initFileSystem</h4>
<pre>protected&nbsp;<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;initFileSystem(<a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;config)
                             throws <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Creates and initializes a default <code>FileSystem</code> if the definition
 configuration contains a corresponding declaration. The file system
 returned by this method is used as default for all file-based child
 configuration sources.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>config</code> - the definition configuration</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the default <code>FileSystem</code> (may be <b>null</b>)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
<a name="initSystemProperties-org.apache.commons.configuration2.HierarchicalConfiguration-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initSystemProperties</h4>
<pre>protected&nbsp;void&nbsp;initSystemProperties(<a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;config,
                                    <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;basePath)
                             throws <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Handles a file with system properties that may be defined in the
 definition configuration. If such property file is configured, all of its
 properties are added to the system properties.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>config</code> - the definition configuration</dd>
<dd><code>basePath</code> - the base path defined for this builder (may be
        <b>null</b>)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs.</dd>
</dl>
</li>
</ul>
<a name="configureEntityResolver-org.apache.commons.configuration2.HierarchicalConfiguration-org.apache.commons.configuration2.builder.XMLBuilderParametersImpl-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configureEntityResolver</h4>
<pre>protected&nbsp;void&nbsp;configureEntityResolver(<a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;config,
                                       <a href="../../../../../../org/apache/commons/configuration2/builder/XMLBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">XMLBuilderParametersImpl</a>&nbsp;xmlParams)
                                throws <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Creates and initializes a default <code>EntityResolver</code> if the
 definition configuration contains a corresponding declaration.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>config</code> - the definition configuration</dd>
<dd><code>xmlParams</code> - the (already partly initialized) object with XML
        parameters; here the new resolver is to be stored</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
<a name="providerForTag-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>providerForTag</h4>
<pre>protected&nbsp;<a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationBuilderProvider.html" title="interface in org.apache.commons.configuration2.builder.combined">ConfigurationBuilderProvider</a>&nbsp;providerForTag(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tagName)</pre>
<div class="block">Returns the <code>ConfigurationBuilderProvider</code> for the given tag. This
 method is called during creation of the result configuration. (It is not
 allowed to call it at another point of time; result is then
 unpredictable!) It supports all default providers and custom providers
 added through the parameters object as well.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tagName</code> - the name of the tag</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the provider that was registered for this tag or <b>null</b> if
         there is none</dd>
</dl>
</li>
</ul>
<a name="initChildBuilderParameters-org.apache.commons.configuration2.builder.BuilderParameters-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>initChildBuilderParameters</h4>
<pre>protected&nbsp;void&nbsp;initChildBuilderParameters(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&nbsp;params)</pre>
<div class="block">Initializes a parameters object for a child builder. This combined
 configuration builder has a bunch of properties which may be inherited by
 child configurations, e.g. the base path, the file system, etc. While
 processing the builders for child configurations, this method is called
 for each parameters object for a child builder. It initializes some
 properties of the passed in parameters objects which are derived from
 this parent builder.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - the parameters object to be initialized</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CombinedConfigurationBuilder.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder.combined"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilderProvider.html" title="class in org.apache.commons.configuration2.builder.combined"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" target="_top">Frames</a></li>
<li><a href="CombinedConfigurationBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
